# Summary

- [关于RFC8040中文翻译](README.md)
- [1. 介绍](section-1/README.md)
    - [1.1. 术语](section-1/1.1.md)
        - [1.1.1. NETCONF](section-1/1.1.1.md)
        - [1.1.2. HTTP](section-1/1.1.2.md)
        - [1.1.3. YANG](section-1/1.1.3.md)
        - [1.1.4. NETCONF通知](section-1/1.1.4.md)
        - [1.1.5. 条款](section-1/1.1.5.md)
        - [1.1.6. URI模板和示例](section-1/1.1.6.md)
        - [1.1.7. 树图(Tree Diagrams)](section-1/1.1.7.md)
    - [1.2. NETCONF功能的子集](section-1/1.2.md)
    - [1.3. 数据模型驱动的API](section-1/1.3.md)
    - [1.4. 与NETCONF共存](section-1/1.4.md)
    - [1.5. RESTCONF可扩展性](section-1/1.5.md)
- [2. 传输协议](section-2/README.md)
   - [2.1. 诚信和保密](section-2/2.1.md)
   - [2.2. HTTPS与X.509v3证书](section-2/2.2.md)
   - [2.3. 证书验证](section-2/2.3.md)
   - [2.4. 经过身份验证的服务器标识](section-2/2.4.md)
   - [2.5. 身份验证的客户端身份](section-2/2.5.md)
- [3. 资源](section-3/README.md)
   - [3.1. 根资源发现](section-3/3.1.md)
   - [3.2. RESTCONF媒体类型](section-3/3.2.md)
   - [3.3. API资源](section-3/3.3.md)
        - [3.3.1. {+restconf}/data](section-3/3.3.1.md)
        - [3.3.2. {+restconf}/operations](section-3/3.3.2.md)
        - [3.3.3. {+restconf}/yang-library-version](section-3/3.3.3.md)
   - [3.4. 数据存储资源](section-3/3.4.md)
        - [3.4.1. 编辑冲突预防](section-3/3.4.1.md)
   - [3.5. 数据资源](section-3/3.5.md)
        - [3.5.1. 时间戳](section-3/3.5.1.md)
        - [3.5.2. 实体标签](section-3/3.5.2.md)
        - [3.5.3. 在请求URI中编码数据资源标识符](section-3/3.5.3.md)
            - [3.5.3.1. ABNF数据资源标识符
](section-3/3.5.3.1.md)
        - [3.5.4. 默认处理](section-3/3.5.4.md)
   - [3.6. 操作资源](section-3/3.6.md)
        - [3.6.1. 编码操作资源输入参数](section-3/3.6.1.md)
        - [3.6.2. 编码操作资源输出参数](section-3/3.6.2.md)
        - [3.6.3. 编码操作资源错误](section-3/3.6.3.md)
   - [3.7. 模式资源](section-3/3.7.md)
   - [3.8. 事件流资源](section-3/3.8.md)
   - [3.9. “errors”的YANG数据模板](section-3/3.9.md)
- [4. RESTCONF方法](section-4/README.md)
    - [4.1. OPTIONS](section-4/4.1.md)
    - [4.2. HEAD](section-4/4.2.md)
    - [4.3. GET](section-4/4.3.md)
    - [4.4. POST](section-4/4.4.md)
        - [4.4.1. 创建资源模式](section-4/4.4.1.md)
        - [4.4.2. 调用操作模式](section-4/4.4.2.md)
    - [4.5. PUT](section-4/4.5.md)
    - [4.6. PATCH](section-4/4.6.md)
        - [4.6.1. Plain Patch](section-4/4.6.1.md)
    - [4.7. DELETE](section-4/4.7.md)
    - [4.8. 查询参数](section-4/4.8.md)
        - [4.8.1. “content”查询参数](section-4/4.8.1.md)
        - [4.8.2. “depth”查询参数](section-4/4.8.2.md)
        - [4.8.3. “fields”查询参数](section-4/4.8.3.md)
        - [4.8.4. “filter”查询参数](section-4/4.8.4.md)
        - [4.8.5. “insert”查询参数](section-4/4.8.5.md)
        - [4.8.6. “point”查询参数](section-4/4.8.6.md)
        - [4.8.7. “start-time”查询参数](section-4/4.8.7.md)
        - [4.8.8. “stop-time”查询参数](section-4/4.8.8.md)
        - [4.8.9. “with-defaults”查询参数](section-4/4.8.9.md)
- [5. 消息](section-5/README.md)
    - [5.1. 请求URI结构](section-5/5.1.md)
    - [5.2. 消息编码](section-5/5.2.md)
    - [5.3. RESTCONF元数据](section-5/5.3.md)
        - [5.3.1. XML元数据编码示例](section-5/5.3.1.md)
        - [5.3.2. JSON元数据编码示例](section-5/5.3.2.md)
    - [5.4. 返回状态](section-5/5.4.md)
    - [5.5. 消息缓存](section-5/5.5.md)
- [6. 通知](section-6/README.md)
    - [6.1. 服务器支持](section-6/6.1.md)
    - [6.2. 事件流](section-6/6.2.md)
    - [6.3. Subscribing to Receive Notifications](section-6/6.3.md)
        - [6.3.1. 订阅接收通知](section-6/6.3.1.md)
    - [6.4. 接收事件通知](section-6/6.4.md)
- [7. 错误报告](section-7/README.md)
    - [7.1. 错误响应消息](section-7/7.1.md)
- [8. RESTCONF模块](section-8/README.md)
- [9. RESTCONF监测](section-9/README.md)
    - [9.1. restconf-state/capabilities](section-9/9.1.md)
        - [9.1.1. 查询参数URIs](section-9/9.1.1.md)
        - [9.1.2. “defaults”协议能力URI](section-9/9.1.2.md)
    - [9.2. restconf-state/streams](section-9/9.2.md)
    - [9.3. RESTCONF监控模块](section-9/9.3.md)
- [10. YANG模块库](section-10/README.md)
    - [10.1. modules-state/module](section-10/10.1.md)
- [11. IANA考虑事项](section-11/README.md)
    - [11.1. “restconf”关系类型](section-11/11.1.md)
    - [11.2. 新URI和YANG模块的注册](section-11/11.2.md)
    - [11.3. 媒体类型](section-11/11.3.md)
        - [11.3.1. 媒体类型“application/yang-data+xml”](section-11/11.3.1.md)
        - [11.3.2. 媒体类型“application/yang-data+json”](section-11/11.3.2.md)
    - [11.4.  RESTCONF能力URNs](section-11/11.4.md)
    - [11.5. “restconf”URN子名称空间的注册](section-11/11.5.md)
- [12. 安全考虑](section-12/README.md)
- [13. 参考](section-13/README.md)
    - [13.1. 规范性参考文献](section-13/13.1.md)
    - [13.2. 信息性参考](section-13/13.2.md)
- [附录A. 示例YANG模块](appendix-a/README.md)
    - [A.1. "example-jukebox" YANG Module](appendix-a/a.1.md)
- [附录B. RESTCONF消息示例](appendix-b/README.md)
    - [B.1. 资源检索示例](appendix-b/b.1.md)
        - [B.1.1. 检索顶级API资源](appendix-b/b.1.1.md)
        - [B.1.2. 检索服务器模块信息](appendix-b/b.1.2.md)
        - [B.1.3. 检索服务器功能信息](appendix-b/b.1.3.md)
    - [B.2. 数据资源和数据存储资源示例](appendix-b/b.2.md)
        - [B.2.1. 创建新的数据资源](appendix-b/b.2.1.md)
        - [B.2.2. 检测数据存储资源实体-标签更改](appendix-b/b.2.2.md)
        - [B.2.3. 编辑数据存储资源](appendix-b/b.2.3.md)
        - [B.2.4. 替换数据存储资源](appendix-b/b.2.4.md)
        - [B.2.5. 编辑数据资源](appendix-b/b.2.5.md)
    - [B.3. 查询参数示例](appendix-b/b.3.md)
        - [B.3.1. “content”参数](appendix-b/b.3.1.md)
        - [B.3.2. “depth” 参数](appendix-b/b.3.2.md)
        - [B.3.3. “fields” 参数](appendix-b/b.3.3.md)
        - [B.3.4. "insert" 参数](appendix-b/b.3.4.md)
        - [B.3.5. "point" 参数](appendix-b/b.3.5.md)
        - [B.3.6. "filter" 参数](appendix-b/b.3.6.md)
        - [B.3.7. "start-time" 参数](appendix-b/b.3.7.md)
        - [B.3.8. "stop-time" 参数](appendix-b/b.3.8.md)
        - [B.3.9. "with-defaults" 参数](appendix-b/b.3.9.md)
- [致谢](acknowledgements.md)
- [联系作者](authors-addresses.md)
