# 1.1.5. 条款

本文件中使用以下术语：

- `API`资源：`RESTCONF`根资源的模型资源和访问`YANG`定义的内容的子资源。它是在“`ietf-restconf`”模块中用名为“`yang-api`”的`YANG`数据模板定义的。

- 客户端：`RESTCONF`客户端。

- 数据资源：模拟`YANG`数据节点的资源。它是用`YANG`数据定义语句定义的。

- 数据存储资源：使用`NETCONF`数据存储概念建立编程接口的资源。默认情况下，`RESTCONF`方法访问服务器上基础数据存储实现的统一视图。它被定义为`API`资源中的一个子资源。

- 编辑操作：使用`POST`，`PUT`，`PATCH`或`DELETE`方法对数据资源执行`RESTCONF`操作。这与`NETCONF`编辑操作（即，“`nc:operation`”属性的值之一：“`create`”，“`replace`”，“`merge`”，“`delete`”或“`remove`”）不相同。

- 事件流资源：表示`SSE`（`Server-Sent Events`）事件流的资源。内容由使用媒体类型“`text/event-stream`”的文本组成，如`SSE`规范[[W3C.REC-eventsource-20150203](https://tools.ietf.org/html/rfc8040#ref-W3C.REC-eventsource-20150203)]所定义。事件流内容在[3.8节](../section-3/3.8.md)中描述。

- 媒体类型：为了提供开放和可扩展的数据类型和类型协商，`HTTP`使用“`Content-Type`”和“`Accept`”头字段中的Internet媒体类型[[RFC2046](https://tools.ietf.org/html/rfc2046)]。

- `NETCONF`客户端：实现NETCONF协议​​的客户端。在[[RFC6241](https://tools.ietf.org/html/rfc6241)]中称为“客户端”。

- `NETCONF`服务器：实现`NETCONF`协议​​的服务器。在[[RFC6241](https://tools.ietf.org/html/rfc26241)]中称为“服务器”。

- 操作：从`HTTP`方法，请求`URI`，头字段和消息体派生的消息的概念`RESTCONF`操作。

- 操作资源：一种对数据模型特定操作进行建模的资源，该操作又由`YANG`的“`rpc`”或“`action`”语句定义。它是用`POST`方法调用的。

- 修补程序：目标数据存储或数据资源上的`PATCH`方法。消息体内容的媒体类型将识别正在使用的补丁类型。

- 普通补丁：用于`PATCH`方法的特定媒体类型;见[第4.6.1节](../section-4/4.6.1.md)。它可以用于简单的“`merge`”编辑操作。它由“`application/yang-data+xml`”或“`application/yang-data+json`”的请求`Content-Type`指定。

- 查询参数：在请求`URI`的查询组件中编码的参数（及其值，如果有的话）。

- 资源类型：本文档中定义的`RESTCONF`资源类之一。 “`API`”，“数据存储”(`datastore`)，“数据”(`data`)，“操作”(`operation`)，“模式”(`schema`)或“事件流”(`envent stream`)之一。

- `RESTCONF`功能：一个可选的`RESTCONF`协议​​功能，如果该功能在该服务器上受支持，则由特定服务器通告。该功能由`IANA`注册的`NETCONF Capability URI`标识，并在[第9.3节](../section-9/9.3.md)中定义的“能力”(`capability`)叶子列表中的条目中公布。

- `RESTCONF`客户端：实现`RESTCONF`协议​​的客户端。

- `RESTCONF`服务器：实现`RESTCONF`协议​​的服务器。

- 检索请求：使用`GET`或`HEAD`方法的请求。

- 模式资源：客户端使用`GET`方法检索`YANG`模式的资源。它具有媒体类型“`application/yang`”的表示。

- 服务器：`RESTCONF`服务器。

- “流”列表：描述从服务器可用的事件流资源的数据资源实例集合。该信息在“`ietf-restconf-monitoring`”模块中定义为“流”(`stream`)列表。它可以使用目标资源“`{+restconf}/data/ietf-restconf-monitoring:restconf-state/streams/stream`”进行检索。 “流”列表包含关于每个流的信息，诸如用于检索事件流数据的`URL`。

- 流资源：一个事件流资源。

- 目标资源：与由请求`URI`的“`path`”组件标识的特定消息相关联的资源。

- `yang-data`扩展：符合[第8节](../section-8/README.md)中“`yang-data`”扩展语句的`YANG`外部语句。`yang-data`扩展用于定义将用作`YANG`数据模板的`YANG`数据结构。这些数据结构不是作为配置数据存储的一部分或作为服务器内的操作状态实现的，所以不能使用正常的`YANG`数据定义语句。

- `YANG`数据模板：使用`YANG`将协议消息组件建模为概念数据结构的模式。这允许消息以与编码无关的方式来定义。每个`YANG`数据模板用[第8节](../section-8/README.md)中的“`yang-data`”扩展定义。可以为`YANG`定义符合特定`YANG`数据模板的实例的表示。 `XML`表示在`YANG`版本`1.1`[[RFC7950](https://tools.ietf.org/html/rfc7950)]中定义，并且由“`application/yang-data+xml`”媒体类型支持。 `JSON`表示在“使用`YANG`建模的`JSON`数据编码”[[RFC7951](https://tools.ietf.org/html/rfc7951)]中定义，并且由“`application/yang-data+json`”媒体类型支持。
