# 11.3.1. 媒体类型“`application/yang-data+xml`”

- 类型名称：`application`

- 子类型名称：`yang-data+xml`

- 必需参数：无

- 可选参数：无

- 编码注意事项：8位根据[[RFC7950](https://tools.ietf.org/html/rfc7950)]中定义的特定`YANG`数据节点类型的`XML`编码规则和规范格式对每个概念性的`YANG`数据节点进行编码。

- 安全考虑：有关`RESTCONF`消息的产生和使用的安全考虑在[RFC 8040](https://tools.ietf.org/html/rfc8040)的[第12节](../section-12/README.md)中讨论。其他安全性考虑特定于特定`YANG`数据模型的语义。预期每个`YANG`模块将指定该模块中定义的`YANG`数据的安全考虑因素。

- 互操作性考虑：[RFC 8040](https://tools.ietf.org/html/rfc8040)规定了符合消息的格式及其解释。

- 发布的规范：[RFC 8040](https://tools.ietf.org/html/rfc8040)

- 使用此媒体类型的应用程序：使用`YANG`定义的数据结构的协议或自动化工具中使用的实例文档数据分析程序。

- 片段标识符注意事项：此类型的片段标识符未定义。所有`YANG`数据节点都可以使用请求`URI`中的路径作为资源访问。

- 附加信息：

    - 不赞成使用此类别的别名：`N/A`
    - `Magic number(s)`：`N/A`
    - 文件扩展名：无
    - `Macintosh`文件类型代码：“`TEXT`”

- 联系人和电子邮件地址以获取更多信息：请参阅[RFC 8040](https://tools.ietf.org/html/rfc8040)的作者地址部分。


- 使用限制：`N/A`

- 作者：请参阅[RFC 8040](https://tools.ietf.org/html/rfc8040)的作者地址部分。

- 变更控制员：互联网工程任务组（[iesg@ietf.org](mailto:iesg@ietf.org)）。

- 临时注册？（仅限标准树）：不
