# 3.3. `API`资源

`API`资源包含`RESTCONF`数据存储和操作资源的`RESTCONF`根资源。它是位于`{+restconf}`的顶级资源，具有媒体类型“`application/yang-data+xml`”或“`application/yang-data+json`”。

`API`资源的`YANG`树图：

```
+---- {+restconf}
      +---- data
      | ...
      +---- operations?
      | ...
      +--ro yang-library-version    string
```

“`yang-api`”的`YANG`数据模板使用[第8节](../section-8/README.md)中的“`ietf-restconf`”模块中的“`yang-data`”扩展定义。它指定了`API`资源中概念子资源的结构和语法。

可以使用`GET`方法来检索`API`资源。

表示“`ietf-restconf`”模块根目录的响应中使用的`{+restconf}`根资源名必须标识“`ietf-restconf`”的`YANG`模块。例如，以`JSON`格式获取根资源“`/restconf`”的请求将返回名为“`ietf-restconf:restconf`”的`API`资源的表示。

此资源具有以下子资源：

>  RESTCONF API Resource

| 子资源 | 说明     |
| :------------- | :------------- |
| data       | 包含所有数据资源       |
| operations       | 特定于数据模型的操作    |
| yang-library-version  | “ietf-yang-library”模块日期    |

>  RFC8040 RESTCONF API Resource 原表

```
+----------------------+---------------------------------+
| Child Resource       | Description                     |
+----------------------+---------------------------------+
| data                 | Contains all data resources     |
| operations           | Data-model-specific operations  |
| yang-library-version | "ietf-yang-library" module date |
+----------------------+---------------------------------+
```
