# 3.5.3.1. `ABNF`数据资源标识符

使用“`api-path`”的`ABNF` [[RFC5234](https://tools.ietf.org/html/rfc5234)]语法来构造`RESTCONF`路径标识符。 请注意，此语法用于所有资源，并且`API`路径以`RESTCONF`根资源开始。 数据资源需要在`“{+restconf}/data`”子树下标识。

根据`YANG`标识符规则，不允许标识符以不区分大小写的字符串“`XML`”开始。 “`api-identifier`”和“`key-value`”的语法必须符合[[RFC7951](https://tools.ietf.org/html/rfc7951)]的[第4节](https://tools.ietf.org/html/rfc7951#section-4)中的`JSON`标识符编码规则：`RESTCONF`根资源路径是必需的。 其他子资源标识符是可选的。 键值字符串中的字符受到限制，某些字符需要进行百分比编码，如[第3.5.3节](3.5.3.md)中所述。

```
api-path = root *("/" (api-identifier / list-instance))

root = string  ;; replacement string for {+restconf}

api-identifier = [module-name ":"] identifier

module-name = identifier

list-instance = api-identifier "=" key-value *("," key-value)

key-value = string  ;; constrained chars are percent-encoded

string = <an unquoted string>

identifier = (ALPHA / "_")
             *(ALPHA / DIGIT / "_" / "-" / ".")
```
