# 3.6. 操作资源

操作资源表示用`YANG`的“`rpc`”语句定义的`RPC`操作，或者用`YANG`的“`action`”语句定义的数据模型特定操作。 它在操作资源上使用`POST`方法调用。

一个`RPC`操作被调用为：

```
POST {+restconf}/operations/<operation>
```


`<operation>`字段标识所需操作的模块名称和`rpc`标识符字符串。

例如，如果“`module-A`”定义了“`reset`”的`RPC`操作，那么调用该操作将被请求如下：

```
POST /restconf/operations/module-A:reset HTTP/1.1
Server: example.com
```

一个动作被调用为：

```
POST {+restconf}/data/<data-resource-identifier>/<action>
```

其中`<data-resource-identifier>`包含定义操作的数据节点的路径，`<action>`是操作的名称。

例如，如果“`module-A`”在容器“`interfaces`”中定义了“`reset-all`”操作，那么调用该操作将被请求如下：

```
POST /restconf/data/module-A:interfaces/reset-all HTTP/1.1
Server: example.com
```

如果调用`RPC`操作没有错误，并且“`rpc`”或“`action`”语句没有“`output`”部分，那么响应消息必须不包含消息体，并且必须发送“`204 No Content`”状态行。

表示服务器支持的`RPC`操作的所有操作资源必须在[3.3.2节](3.3.2.md)定义的“`{+restconf}/operations`”子树中标识。 表示`YANG`行为的操作资源在该子树中没有标识，因为它们是使用“`{+restconf}/data`”子树内的`URI`调用的。
