# 3.7. 模式资源

服务器可以有选择地支持检索它使用的`YANG`模块。 如果支持检索，则“`schema`”叶必须出现在[[RFC7895](https://tools.ietf.org/html/rfc7895)]中定义的相关“`schema`”列表条目中。

为了检索`YANG`模块，客户首先需要获取用于检索存储在“`schema`”叶中的模式的`URL`。 请注意，这个网址没有必要的结构。 下面显示的`URL`值只是一个例子。

客户端可能会发送以下`GET`请求消息：

```http
GET /restconf/data/ietf-yang-library:modules-state/\
    module=example-jukebox,2016-08-15/schema HTTP/1.1
Host: example.com
Accept: application/yang-data+json
```

服务器可能会如下回应：

```JSON
HTTP/1.1 200 OK
Date: Thu, 26 Jan 2017 20:56:30 GMT
Server: example-server
Content-Type: application/yang-data+json

{
  "ietf-yang-library:schema" :
   "https://example.com/mymodules/example-jukebox/2016-08-15"
}
```

接下来，客户端需要检索实际的`YANG`模式。

客户端可能会发送以下`GET`请求消息：

```http
GET https://example.com/mymodules/example-jukebox/2016-08-15 HTTP/1.1
Host: example.com
Accept: application/yang
```

服务器可能会如下回应：

```
HTTP/1.1 200 OK
Date: Thu, 26 Jan 2017 20:56:30 GMT
Server: example-server
Content-Type: application/yang
```

> //本例中删除了整个`YANG`模块内容......
