# 4.4.2. 调用操作模式

如果目标资源类型是操作资源，那么`POST`方法将被视为调用该操作的请求。 消息主体（如果有的话）被处理为操作输入参数。 有关操作资源的详细信息，请参阅[第3.6节](../section-3/3.6.md)。

如果`POST`请求成功，如果有响应消息体，则返回“`200 OK`”状态行;如果没有响应消息体，则返回“`204 No Content`”状态行。

如果用户无权调用目标操作，则应返回包含“`403 Forbidden`”状态行的错误响应。 在这种情况下使用错误标签值“`access-denied`”。 服务器可以返回“`404 Not Found`”状态行，如[[RFC7231](https://tools.ietf.org/html/rfc7231)]的[第6.5.4节](https://tools.ietf.org/html/rfc7231#section-6.5.4)所述。 所有其他错误响应按照[第7节](../section-7/README.md)中定义的过程进行处理。

示例：

在这个例子中，客户端正在调用在“`example-jukebox`”的`YANG`模块中定义的“`play`”操作。

客户可能会发送一个“`play`”请求，如下所示：

```JSON
POST /restconf/operations/example-jukebox:play HTTP/1.1
Host: example.com
Content-Type: application/yang-data+json

{
  "example-jukebox:input" : {
    "playlist" : "Foo-One",
    "song-number" : 2
  }
}
```

服务器可能会如下回应：

```
HTTP/1.1 204 No Content
Date: Thu, 26 Jan 2017 20:56:30 GMT
Server: example-server
```
