# 4.6. `PATCH`

`RESTCONF`服务器必须支持普通补丁的`PATCH`方法，并且可以支持其他的媒体类型。服务器支持的`PATCH`方法的媒体类型可以通过发送一个`OPTIONS`请求并检查响应中的“`Accept-Patch`”头域来发现（见[4.1节](4.1.md)）。

`RESTCONF`使用[[RFC5789](https://tools.ietf.org/html/rfc5789)]中定义的`HTTP PATCH`方法为资源修补机制提供可扩展的框架。每个修补程序机制都需要唯一的媒体类型

本文档定义了一个补丁机制（见[第4.6.1节](4.6.1.md)）。另一个补丁机制`YANG Patch`机制在[[YANG-Patch](https://tools.ietf.org/html/rfc8040#ref-YANG-Patch)]中定义。其他补丁机制可能由未来的规范定义。

如果目标资源实例不存在，服务器不能创建它。

如果`PATCH`请求成功，如果有消息体，则返回“`200 OK`”状态行，如果没有发送响应消息体，则返回“`204 No Content`”。

如果用户无权修改目标资源，则应返回包含“`403 Forbidden`”状态行的错误响应。服务器可以返回“`404 Not Found`”状态行，如[[RFC7231](https://tools.ietf.org/html/rfc7231)]的[第6.5.4节](https://tools.ietf.org/html/rfc7231#section-6.5.4)所述。在这种情况下使用错误标签值“`invalid-value`”。所有其他错误响应按照[第7节](../section-7/README.md)中定义的过程进行处理。
