# 4.7. `DELETE`

`RESTCONF`服务器必须支持`DELETE`方法。 `DELETE`方法用于删除目标资源。 如果`DELETE`请求成功，则返回“`204 No Content`”状态行。

如果用户没有被授权删除目标资源，那么应该返回一个包含“`403 Forbidden`”状态行的错误响应。 在这种情况下返回错误标记值“`access-denied`”。 服务器可以返回“`404 Not Found`”状态行，如[[RFC7231](https://tools.ietf.org/html/rfc7231)]的[第6.5.4节](https://tools.ietf.org/html/rfc7231#section-6.5.4)所述。 在这种情况下返回错误标签值“`invalid-value`”。 所有其他错误响应按照[第7节](../section-7/README.md)中定义的过程进行处理。

如果目标资源表示配置叶列表或列表数据节点，则它必须表示一个单一的叶子列表或列表实例。 服务器绝不能使用`DELETE`方法来删除多个这样的实例。

例：

要用“`Wasting Light`”键删除“`album`”资源，客户端可能会发送以下内容：

```
DELETE /restconf/data/example-jukebox:jukebox/\
    library/artist=Foo%20Fighters/album=Wasting%20Light HTTP/1.1
Host: example.com
```

如果资源被删除，服务器可能会响应如下：

```
HTTP/1.1 204 No Content
Date: Thu, 26 Jan 2017 20:56:30 GMT
Server: example-server
```
