# 4.8.4. “`filter`”查询参数

“`filter`”查询参数用于指示所有可能的事件的哪个子集感兴趣。如果不存在，所有不被其他参数排除的事件将被发送。

此参数仅适用于事件流资源上的`GET`方法。如果用于其他方法或资源类型，则返回“`400 Bad Request`”状态行。

此参数的格式是`XPath 1.0`表达式[[XPath](https://tools.ietf.org/html/rfc8040#ref-XPath)]，并在以下上下文中进行评估：

- 名称空间声明集是所有支持的`YANG`模块的前缀和名称空间对的集合，前缀是`YANG`模块名称，命名空间是由`YANG`模块中的“`namespace`”语句定义的。

- 函数库是`XPath 1.0`中定义的核心函数库，以及数据模型定义的所有函数。

- 变量绑定的集合是空的。

- 上下文节点是根节点。

“`filter`”查询参数按照[[RFC5277](https://tools.ietf.org/html/rfc5277)]的[第3.6节](https://tools.ietf.org/html/rfc5277#section-3.6)的定义使用。如果将表达式的布尔结果应用于概念性“`notification`”文档根目录时为“`true`”，则将事件通知传递给客户端。

如果在[第9.3节](../section-9/9.3.md)中定义的“`capability`”叶子列表中列出了“`filter`”查询参数URI，则服务器支持“`filter`”查询参数。
