# 4.8.7. “`start-time`”查询参数

“`start-time`”查询参数用于触发[[RFC5277](https://tools.ietf.org/html/rfc5277)]中定义的通知重放功能，并指示重放应在指定的时间开始。如果流不支持按流资源的“`stream`”列表条目返回的“`replay-support`”属性进行重播，那么服务器务必返回“`400 Bad Request`”状态行。

“`start-time`”参数的值是在“`ietf-yang-types`”`YANG`模块[[RFC6991](https://tools.ietf.org/html/rfc6991)]中定义的“`date-and-time`”类型。

此参数仅适用于“`text/event-stream`”数据资源上的`GET`方法。如果用于其他方法或资源类型，则返回“`400 Bad Request`”状态行。

如果此参数不存在，则不会请求重播订阅。指定晚于当前时间的开始时间是无效的。如果指定的值早于日志可以支持的值，则重播将从最早的可用通知开始。根据[[RFC7231](https://tools.ietf.org/html/rfc7231)]，客户端可以通过检查服务器在响应消息中返回的“`Date`”头字段来获取服务器的当前时间。

如果服务器支持这个查询参数，那么“`replay`”查询参数`URI`必须列在[9.3节](../section-9/9.3.md)定义的“`capability`”叶子列表中，并且“`stop-time`”查询参数也必须被服务器支持。

如果“`replay-support`”叶子在“`stream`”条目（在[9.3节](../section-9/9/3.md)中定义）中的值为“`true`”，那么服务器必须支持该流的“`start-time`”和“`stop-time`”查询参数。
