# 4.8.9.  “`with-defaults`”查询参数

“`with-defaults`”查询参数用于指定如何响应数据资源的`GET`请求返回关于默认数据节点的信息。

如果服务器支持这种能力，那么它必须实现[RFC6243](https://tools.ietf.org/html/rfc6243)的[第4.5.1节](https://tools.ietf.org/html/rfc6243#section-4.5.1)中描述的行为，除了应用于`RESTCONF` `GET`操作而不是`NETCONF`操作。

| 值 | 说明 |
| :------------- | :------------- |
| report-all | 所有数据节点都被报告 |
| trim | 设置为YANG默认的数据节点不会被报告 |
| explicit | 报告客户端设置为YANG默认的数据节点 |
| report-all-tagged | 所有的数据节点都被报告，并且默认值被标记 |

如果“`with-defaults`”参数设置为“`report-all`”，那么服务器必须遵守[[RFC6243](https://tools.ietf.org/html/rfc6243)]的[第3.1节](https://tools.ietf.org/html/rfc6243#section-3.1)中定义的默认报告行为。

如果“`with-defaults`”参数设置为“`trim`”，那么服务器必须遵守[[RFC6243]()]的[第3.2节]()中定义的默认报告行为。

如果“`with-defaults`”参数设置为“`explicit`”，那么服务器必须遵守[R[FC6243]()]的[第3.3节()]中定义的默认报告行为。

   如果“`with-defaults`”参数设置为“`report-all-tagged`”，则服务器必须遵守[[RFC6243](https://tools.ietf.org/html/rfc6243)]的[第3.4节](https://tools.ietf.org/html/rfc6243#section-3.4)中定义的默认报告行为。元数据由服务器按照[5.3节](../section-5/5.3.md)的规定报告。服务器为默认节点发送的“`default`”属性的`XML`编码在[[RFC6243](https://tools.ietf.org/html/rfc6243)]的[第6节](https://tools.ietf.org/html/rfc6243#section-6)中定义。 “`default`”属性的JSON编码必须使用[[RFC6243](https://tools.ietf.org/html/rfc6243)]中定义的相同值，但是按照[[RFC7952](https://tools.ietf.org/html/rfc7952)]中的规则进行编码。必须使用模块名称“`ietf-netconf-with-defaults`”作为“`default`”属性。

如果“`with-defaults`”参数不存在，那么服务器必须遵守[9.1.2节](../section-9/9.1.2.md)定义的“`default`”协议能力`URI`的“`basic-mode`”参数中定义的默认报告行为。

如果服务器在[9.3节](../section-9/9.3.md)定义的“`capability`”叶子列表中包含“`with-defaults`”查询参数`URI`，则必须支持“`with-defaults`”查询参数。

由于服务器没有按照[[RFC6243](https://tools.ietf.org/html/rfc6243)]的[第4.3节](https://tools.ietf.org/html/rfc6243#section-4.3)所述报告“`also-supported`”的参数，因此可能不支持“`with-defaults`”参数的某些值。如果服务器不支持“`with-defaults`”参数的请求值，则服务器务必返回一个带有“`400 Bad Request`”状态行的响应。在这种情况下使用错误标签值“`invalid-value`”。
