# 4.8 查询参数

每个`RESTCONF`操作允许在请求`URI`中出现零个或多个查询参数。 允许哪些特定的参数将取决于资源类型，有时候还会在请求中使用特定的目标资源。

- 查询参数可以以任何顺序给出。

- 每个参数在请求`URI`中最多只能出现一次。

- 如果存在多个查询参数的实例，那么服务器必须返回“`400 Bad Request"`”的状态行。 在这种情况下返回错误标签值“`invalid-value`”。

- 如果参数丢失，则可能会应用默认值。

- 查询参数名称和值是区分大小写的。

- 如果查询参数是意外的，那么服务器必须返回一个带有“`400 Bad Request"`”状态行的错误。 在这种情况下返回错误标签值“`invalid-value`”。

#### `RESTCONF`查询参数

| 参数名 | 方法 | 说明 |
| :------------- | :------------- | :------------- |
| content | GET, HEAD | 选择配置和/或非配置数据资源 |
| depth | GET, HEAD | 在回复内容中请求有限的子树深度 |
| fields | GET, HEAD | 请求目标资源内容的一个子集 |
| filter | GET, HEAD | 用于事件流资源的布尔通知过滤器 |
| insert | POST, PUT | “按用户排序(`ordered-by user`)”的数据资源的插入模式 |
| point | POST, PUT | ““按用户排序(`ordered-by user`)”的数据资源的插入点 |
| start-time | GET, HEAD | 重放事件流资源的缓冲区开始时间 |
| stop-time | GET, HEAD | 重放事件流资源的缓冲区停止时间 |
| with-defaults | GET, HEAD | 控制默认值的检索 |


查询参数使用示例请参考[附录B.3](../appendix-b/b.3.md)。

如果供应商定义了额外的查询参数，他们应该使用前缀（如企业或组织名称）查询参数名称，以避免与其他参数冲突。
