# 5.1. 请求`URI`结构

资源用[[RFC3986](https://tools.ietf.org/html/rfc3986)]中的通用`URI`结构之后的`URI`来表示。

`RESTCONF`操作使用以下概念字段从`HTTP`方法和请求`URI`派生：

```
<OP> /<restconf>/<path>?<query>

  ^       ^        ^       ^
  |       |        |       |
method  entry  resource  query

  M       M        O        O
```

`M`=强制性的，`O`=可选的


`<OP>`是`HTTP`方法
`<restconf>`是`RESTRONF`根资源
`<path>`是目标资源`URI`
`<query>`是查询参数列表


- `method`：标识客户端所请求的`RESTCONF`操作的`HTTP`方法，以处理请求`URI`中指定的目标资源。 `RESTCONF`操作细节在[第4节](../section-4/README.md)中描述。

- `entry`：在此`HTTP`服务器上配置的`RESTCONF API`的根，通过获取“`/.well-known/host-meta`”资源发现，如[3.1节](../section-3/3.1.md)所述。

- `resource`：标识`RESTCONF`操作正在访问的资源的路径表达式。如果该字段不存在，那么目标资源就是`API`本身，由[第8节](../section-8/README.md)中找到的名为“`yang-api`”的`YANG`数据模板表示。

- `query`：与`RESTCONF`消息相关联的一组参数;参见[[RFC3986](https://tools.ietf.org/html/rfc3986)]的[第3.4节](https://tools.ietf.org/html/rfc3986#section-3.4)。 `RESTCONF`参数具有“`name=value`”这样的键值对的形式。大多数查询参数是可选的，由服务器实现，可选地由客户端使用。每个可选的查询参数都由一个·标识。服务器必须列出它在[第9.3节](section-9/9.3.md)定义的“`capability`”叶子列表中支持的可选查询参数`URI`。

虽然服务器可以选择支持本文档中未定义的查询参数，但是定义了一组特定的参数。 任何查询参数值的内容必须根据[[RFC3986](https://tools.ietf.org/html/rfc3986)]的[第3.4节](https://tools.ietf.org/html/rfc3986#section-3.4)进行编码。 根据[[RFC3986](https://tools.ietf.org/html/rfc3986)]的[第2.1节](https://tools.ietf.org/html/rfc3986#section-2.1)和[第2.5节](https://tools.ietf.org/html/rfc3986#section-2.5)的规定，任何保留字符都必须进行百分比编码。

请注意，`RESTCONF`协议不使用片段组件。 如[[RFC7230](https://tools.ietf.org/html/rfc7230)]的[第5.1节](https://tools.ietf.org/html/rfc7230#section-5.1)中所述，片段被服务器从目标`URI`中排除。

当客户端创建新资源时，会返回一个“`Location`”标题字段，标识新创建资源的路径。 客户端使用此确切的路径标识符访问资源，一旦创建。

`RESTCONF`操作的目标是资源。 请求`URI`中的“`path`”字段表示`RESTCONF`操作的目标资源。

有关`RESTCONF`请求`URI`的示例，请参阅[附录B](../appendix-b/README.md)。
