# 5.3.2. `JSON`元数据编码示例

请注意，[RFC 6243](https://tools.ietf.org/html/rfc6243)使用`XML Schema Definition（XSD）`定义了“`default`”属性，而不是`YANG`，因此必须指定`YANG`模块名称，而不是从`YANG`模块派生。 为`JSON`元数据编码分配值“`ietf-netconf-with-defaults`”。

```
GET /restconf/data/interfaces/interface=eth1\
    ?with-defaults=report-all-tagged HTTP/1.1
Host: example.com
Accept: application/yang-data+json
```

服务器可能会如下回应：

```JSON
HTTP/1.1 200 OK
Date: Thu, 26 Jan 2017 20:56:30 GMT
Server: example-server
Content-Type: application/yang-data+json

{
  "example:interface" : [
    {
      "name" : "eth1",
      "mtu" : 1500,
      "@mtu" : {
         "ietf-netconf-with-defaults:default" : true
      },
      "status" : "up"
    }
  ]
}
```
