# 6.3. 订阅接收通知

`RESTCONF`客户端可以通过发送带有“`stream`”列表条目的“`location`”叶的`HTTP GET`请求来确定订阅资源（接收通知）的URL。 服务器返回的值可以用于实际的通知订阅。

客户端将使用“`Accept`”类型的“`text/event-stream`”发送服务器返回的`URL`的`HTTP GET`请求。

服务器将使用`Server-Sent Events` [[W3C.REC-eventsource-20150203](http://www.w3.org/TR/2015/REC-eventsource-20150203)]传输策略将连接视为事件流。

服务器可以支持这个资源上`GET`方法的查询参数。 这些参数是特定于每个事件流。

例如：

客户端可能会发送以下请求：

```
GET /restconf/data/ietf-restconf-monitoring:restconf-state/streams/stream=NETCONF/access=xml/location HTTP/1.1
Host: example.com
Accept: application/yang-data+xml
```

服务器可能会发送以下响应：

```XML
HTTP/1.1 200 OK
Content-Type: application/yang-data+xml

<location xmlns="urn:ietf:params:xml:ns:yang:ietf-restconf-monitoring">
  https://example.com/streams/NETCONF
</location>
```

`RESTCONF`客户端然后可以使用这个`URL`值开始监视事件流：

```
GET /streams/NETCONF HTTP/1.1
Host: example.com
Accept: text/event-stream
Cache-Control: no-cache
Connection: keep-alive
```

`RESTCONF`客户端可以请求服务器使用`HTTP`头字段“`Accept-Encoding`”来压缩事件。 例如：

```
GET /streams/NETCONF HTTP/1.1
Host: example.com
Accept: text/event-stream
Cache-Control: no-cache
Connection: keep-alive
Accept-Encoding: gzip, deflate
```
