# 7.1. 错误响应消息

当任何资源类型的请求消息发生错误，且将返回的状态码位于“`4xx`”范围内（状态码“`403 Forbidden`”除外）时，服务器应发送包含该信息的响应消息主体由[第8节](../section-8/README.md)中找到的“`ietf-restconf`”模块中的“`yang-errors`”的`YANG`数据模板描述。此响应消息的`Content-Type`必须是“`application/yang-data`”，另外还可以选择使用结构化语法名称后缀。

客户端应该通过在“`Accept`”头中指定适当的媒体类型来指定响应消息所需的编码。如果客户端没有指定“`Accept`”头部，则应该使用请求消息中使用的相同的结构化语法名称后缀，或者服务器可以选择任何支持的消息编码格式。如果没有请求消息，服务器必须根据服务器的偏好选择“`application/yang-data+xml`”或“`application/yang-data+json`”。本文档中的所有示例（除了下面的示例）都假定在出现错误时将返回`XML`编码。

`YANG`树图`<errors>`数据：

```YANG
+---- errors
      +---- error*
         +---- error-type       enumeration
         +---- error-tag        string
         +---- error-app-tag?   string
         +---- error-path?      instance-identifier
         +---- error-message?   string
         +---- error-info?
```
