# 9.1.2. “`defaults`”协议能力`URI`

此`URI`标识服务器用于处理数据资源请求中的默认叶子的“`basic-mode`”默认处理模式。 该协议能力`URI`必须由服务器支持，并且必须列在[9.3节](9.3.md)定义的“`capability`”叶子列表中。

#### RESTCONF “`defaults`”能力`URI`

| Name | URI |
| :------------- | :------------- |
| defaults | urn:ietf:params:restconf:capability:defaults:1.0 |

`URI`必须包含一个名为“`basic-mode`”的查询参数，其中一个值如下所示：

| Value | Description |
| :------------- | :------------- |
| report-all | 没有数据节点被认为是默认的 |
| trim | 设置为`YANG` `default-stmt`值的值是缺省值 |
| explicit | 客户端设置的值不被视为默认值 |


“`basic-mode`”定义是在“`NETCONF`的默认能力”[[RFC6243](https://tools.ietf.org/html/rfc6243)]中指定的。

如果“`basic-mode`”设置为“`report-all`”，那么服务器必须遵守[[RFC6243](https://tools.ietf.org/html/rfc6243)]的[第2.1节](https://tools.ietf.org/html/rfc6243#section-2.1)中定义的默认处理行为。

如果“`basic-mode`”设置为“`trim`”，那么服务器必须遵守[[RFC6243](https://tools.ietf.org/html/rfc6243)]的[第2.2节](https://tools.ietf.org/html/rfc6243#section-2.2)中定义的默认处理行为。

如果“`basic-mode`”设置为“`explicit`”，则服务器必须遵守[[RFC6243](https://tools.ietf.org/html/rfc6243)]的[第2.3节](https://tools.ietf.org/html/rfc6243#section-2.3)中定义的默认处理行为。

示例(仅用于显示目的):

```
urn:ietf:params:restconf:capability:defaults:1.0?basic-mode=explicit
```
